# Double Angle Identities
Sine:
$$ \sin(2\theta) = 2\sin\theta\cos\theta $$
Cosine:
$$
\begin{matrix}
\cos(2\theta) = \cos^2\theta - \sin^2\theta\\
= 1 - 2sin^2\theta\\
= 2cos^2\theta - 1\\
\end{matrix}
$$

Tan:
$$ \tan(2\theta) = \dfrac{2\tan\theta}{1-\tan^2\theta}$$

## Half Angle Identities
Whether the output is positive or negative depends on what quadrant the output is in.
Sine:
$$ \sin(\frac{\theta}{2}) = \pm\sqrt{\frac{1-\cos\theta}{2}} $$
Cosine:
$$ \cos(\frac{\theta}{2}) = \pm \sqrt{\frac{1 + \cos\theta}{2}} $$
Tangent:
$$ \tan(\frac{\theta}{2}) = \pm\sqrt{\frac{1-\cos\theta}{1 + \cos\theta}} $$